Subject: Re: git log --graph --oneline issues (very small edge case)

From: Junio C Hamano <[email-masked]>
Date: Fri, 19 Dec 2014 16:53:07 -0800

"Jason Pyeron" <[email-masked]> writes:

> When a repo has multiple initial commits, the oneline graph can get borked.
>
> It will put a commit * with no parent directly above the next commit *
> with no children. This gives the false impression that the two commits
> are a sequence on a branch.

Sounds vaguely familiar.

http://thread.gmane.org/gmane.comp.version-control.git/236708/focus=239580

My preference is what I wrote after three-dash lines as "It may
actually make sense ...  If we did so, the output ... may look like
this" there.